CAPP(1)

NAME
capp - generate cappuccino projects

SYNOPSIS
capp gen [options] path
capp gen [--list-templates | --list-frameworks]
capp config [options]
capp [--version | -h | --help]

DESCRIPTION
capp generates starter projects for cappuccino, ensuring that all of the necessary files are present, and applying the values in your configuration to placeholders the template.

GENERATING PROJECTS
When invoked using capp gen, you either create a new project or modify the frameworks of an existing project.

  Create options
When creating a new project, if no options are specified, capp will use the Application template, which by default does not use a cib to create its interface. If you wish to use a different template, the following options are available:

-t, --template template
    Specifies the template name to use when generating the project. This determines the type of project to generate.

--list-templates
    Displays the templates names available for use with the -t/--template option.

  Frameworks options
There are a number of options available for specifying how to create or update the Frameworks directory in your project. The available options are:

-f, --frameworks
    This will copy or symlink only the Frameworks directory instead of generating an entire project. This is especially useful if you want to update the Frameworks for an existing project.

-F, --framework name
    The -f/--frameworks option always copies/symlinks the Objective-J, Foundation, and AppKit frameworks. You may include additional frameworks with this option. You may use this option multiple times to include multiple frameworks.

--list-frameworks
    Displays a list of frameworks that are available for use with the -F/--framework option.

--symlink
    By default frameworks are copied to the project directory. Use this option to symlink to the source frameworks instead of copying.

--build
    By default frameworks are copied/symlinked from the installed version created with jake install. Use this option to copy/symlink the version created in $CAPP_BUILD with jake debug or jake release.

-l  This is a handy shortcut for --symlink --build.

CONFIGURING
When invoked using capp config, you can set or inspect the values used to replace placeholder text in the templates. The syntax for capp config is as follows:

key value
    Creates or updates a configuration item with the given key and value.

--get key
    Displays the configuration value with the given key. If no item with the given key exists, nothing happens.

--remove key
    Removes the configuration value with the given key. If no item with the given key exists, nothing happens.

--l, --list
    Displays a list of all configuration items in the form key=value.

GENERAL OPTIONS

--version
    Displays the current capp version and exits.

-h, --help
    Displays a concise list of the available commands and options.

FILES

~/.cappconfig
    Contains your configuration in 280north plist format.